<script>
import { ref, watch } from 'vue'

const dialog = ref(false)
const toggleDialog = () => {
  dialog.value = !dialog.value
}
</script>

<template>
  <v-btn rounded="xl" size="large" block @click="dialog.value = !dialog.value"
    >Select Date Range</v-btn
  >
  <v-dialog v-model="dialog">
    <v-card> hello </v-card>
  </v-dialog>
  {{ dialog.value }}
</template>
